#!/usr/bin/perl

use Linux::Inotify2;
use WWW::Mechanize::Firefox;
my $mech = WWW::Mechanize::Firefox->new();

my $inotify = new Linux::Inotify2
  or die "unable to create new inotify object: $!";

$html_files = `find /home/r/proj/{cortex,aurellem,pokemon-types} -name "*.html" -print0`;
@html_files = split /\0/, $html_files;


#@org_files =  glob("./org/*.org");


for $file(@html_files){print "$file\n";}

$last_page = "";

foreach(@html_files){
$inotify->watch ($_, IN_MODIFY, sub 
{
    my $e = shift;
    my $name = $e->fullname;
    print "**************************\n";
    print "$name was modified\n";## if $e->IN_MODIFY;

    $path = `readlink -f $name`;
    $path =~ s|/home/r/proj|http://aurellem.localhost|;
    #$path =~ s|org|html|g;

    if ($last_page eq $path){
	print "reloading current page : $path\n";
	$mech->reload();
    }
    else {
	print "moving to new page : $path\n";
	$last_page = $path;
	$mech->get($path);
    }
});
}

# manual event loop
while (1){
  print "I'm pollin'!";
  $inotify->poll;
  
}
